Bug 748585 - libreoffice installs Java 7
libreoffice installs Java 7
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
16
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: David Tardon
Fedora Extras Quality Assurance
RejectedBlocker
:
Depends On: 749130
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-24 18:30 EDT by Peter Robinson
Modified: 2011-11-23 10:40 EST (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-27 14:24:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2011-10-24 18:30:50 EDT
Java 7 should install Java 7 as per FESCo ticket #663 but it does. Not sure if this is due to libreoffice or the dependencies that java 7 provides.

Neither libreoffice or java were installed prior to installing libreoffice-writer

Dependencies Resolved

==============================================================================================================
 Package                           Arch        Version                             Repository            Size
==============================================================================================================
Installing:
 libreoffice-writer                i686        1:3.4.3.2-11.fc16                   fedora               5.6 M
Installing for dependencies:
 autocorr-en                       noarch      1:3.4.3.2-11.fc16                   fedora               106 k
 graphite2                         i686        1.0.3-1.fc16                        fedora                82 k
 hunspell-en                       noarch      0.20110318-1.fc16                   fedora               401 k
 hyphen                            i686        2.7-3.fc16                          fedora                22 k
 hyphen-en                         noarch      2.7-3.fc16                          fedora                46 k
 java-1.5.0-gcj                    i686        1.5.0.0-37.fc16                     fedora               148 k
 java-1.7.0-openjdk                i686        1:1.7.0.0-0.1.20110803.1.fc16       fedora                24 M
 java_cup                          noarch      1:0.11a-6.fc15                      fedora               107 k
 jline                             noarch      0.9.94-3.fc15                       fedora                64 k
 jpackage-utils                    i686        1.7.5-15.fc16                       fedora                66 k
 libart_lgpl                       i686        2.3.21-2.fc15                       fedora                63 k
 liberation-fonts-common           noarch      1.07.1-2.fc16                       updates-testing       25 k
 liberation-mono-fonts             noarch      1.07.1-2.fc16                       updates-testing      224 k
 liberation-sans-fonts             noarch      1.07.1-2.fc16                       updates-testing      270 k
 liberation-serif-fonts            noarch      1.07.1-2.fc16                       updates-testing      291 k
 libgcj                            i686        4.6.1-10.fc16                       fedora                17 M
 libreoffice-core                  i686        1:3.4.3.2-11.fc16                   fedora                70 M
 libreoffice-opensymbol-fonts      noarch      1:3.4.3.2-11.fc16                   fedora               184 k
 libreoffice-ure                   i686        1:3.4.3.2-11.fc16                   fedora               2.4 M
 libtextcat                        i686        2.2-12.fc15                         fedora               127 k
 libwpd                            i686        0.9.2-1.fc16                        fedora               266 k
 libwpg                            i686        0.2.0-2.fc15                        fedora                84 k
 libwps                            i686        0.2.2-1.fc16                        fedora                51 k
 lucene                            noarch      2.9.4-6.fc16                        fedora               2.1 M
 mythes                            i686        1.2.1-3.fc15                        fedora                11 k
 rhino                             noarch      1.7R3-2.fc16                        fedora               981 k
 sinjdoc                           i686        0.5-10.fc15                         fedora               653 k
 tzdata-java                       noarch      2011l-2.fc16                        updates-testing      152 k
 zip                               i686        3.0-3.fc15                          fedora               245 k

Transaction Summary
==============================================================================================================
Install      30 Packages

Total download size: 126 M
Installed size: 126 M
Is this ok [y/N]: y
Downloading Packages:
(1/30): autocorr-en-3.4.3.2-11.fc16.noarch.rpm                                         | 106 kB     00:00     
(2/30): graphite2-1.0.3-1.fc16.i686.rpm                                                |  82 kB     00:00
Comment 1 Adam Williamson 2011-10-24 18:44:08 EDT
Not a blocker, unless it stops the system running. vote -1
Comment 2 Adam Williamson 2011-10-24 20:00:51 EDT
Add some CCs for blocker votes.
Comment 3 David Tardon 2011-10-25 00:47:06 EDT
That is because libreoffice-core requires libjawt.so()(64bit) and libjawt.so(SUNWprivate_1.1)(64bit), which are provided by both java-1.6.0-openjdk and java-1.7.0-openjdk. I have put explicit Requires: java-1.6.0-openjdk there.
Comment 4 Sandro Mathys 2011-10-25 01:09:15 EDT
Isn't libreoffice part of the DVD? If so, how well does that work there? I don't think we (want to) include Java 7 on that image.

So, +1 blocker unless what I said above was somehow stupid ;)

Either way, it would be good to have this as a zero-day update if not included in the release.

David, can you please build/push the new version with that Requires?
Comment 5 David Tardon 2011-10-25 01:58:40 EDT
(In reply to comment #4)
> Isn't libreoffice part of the DVD? If so, how well does that work there? I
> don't think we (want to) include Java 7 on that image.

It works pretty well: if there is no java-1.7.0-openjdk in the
installation repository, java-1.6.0-openjdk is the only package
providing libjawt.so()(...), so it will be installed.

> 
> So, +1 blocker unless what I said above was somehow stupid ;)

There is only one situation when there is a problem: when installing
libreoffice on a system without java-1.6.0-openjdk and both
java-1.6.0-openjdk and java-1.7.0-openjdk are available. Both of these
packages can fulfil the required dependency, so rpm selects the one that
fits better (for some definition of "better"--I do not know the details
of dependency resolution), which is, unfortunately, java-1.7.0-openjdk.

> 
> Either way, it would be good to have this as a zero-day update if not included
> in the release.
> 
> David, can you please build/push the new version with that Requires?

Yeah, I can.
Comment 6 Caolan McNamara 2011-10-25 04:17:39 EDT
There's was previous historical issues with SUNWPrivate stuff, e.g. https://bugzilla.redhat.com/show_bug.cgi?id=140843 and http://comments.gmane.org/gmane.linux.jpackage.general/7555

We might as well go ahead in LibreOffice to quick-fix this, but should it be the case that the SUNWPrivate stuff is filtered out of the provides/requires automatically by our default fedora find-requires/provides ?
Comment 7 Peter Robinson 2011-10-25 04:39:02 EDT
(In reply to comment #1)
> Not a blocker, unless it stops the system running. vote -1

Unfortunately I'm unable to test all incarnations of Java 7 and various components of the Fedora stack. While it doesn't seem to impact the workings of Writer there's nothing to say that if I then install another package which requires Java and v7 has the correct requires that things won't go boom.
Comment 8 Kamil Páral 2011-10-25 05:30:33 EDT
1. I don't understand sentence "Java 7 should install Java 7 as per FESCo ticket #663 but it does.". Maybe "should not"?
2. https://fedorahosted.org/fesco/ticket/663 is not closed and I don't see any resolution.
3. Can somebody state why this should be a blocker bug? I don't currently see the reason.
https://fedoraproject.org/wiki/Fedora_Release_Criteria
Comment 9 Fedora Update System 2011-10-25 06:36:00 EDT
libreoffice-3.4.3.2-14.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libreoffice-3.4.3.2-14.fc16
Comment 10 Adam Williamson 2011-10-25 11:45:27 EDT
pbrobinson: nothing in critpath is dependent on Java, of which I'm aware.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 11 Peter Robinson 2011-10-25 14:28:35 EDT
(In reply to comment #3)
> That is because libreoffice-core requires libjawt.so()(64bit) and
> libjawt.so(SUNWprivate_1.1)(64bit), which are provided by both
> java-1.6.0-openjdk and java-1.7.0-openjdk. I have put explicit Requires:
> java-1.6.0-openjdk there.

Actually looking at this again by removing and trying to reinstall writer libreoffice-ure also has a dep of jre >= 1.5.0.

Now I get both java-1.6.0-openjdk and java-1.7.0-openjdk. No idea why the former isn't picked up as a provider of java so 7 doesn't get pulled in too
Comment 12 Jared Smith 2011-10-25 15:55:44 EDT
I'm not sure this is a blocker, but it's certainly something that FESCo wanted to see fixed.  I'd certainly vote this one +1 for NTH, but vote for -1 blocker for now.
Comment 13 Dennis Gilmore 2011-10-25 15:57:44 EDT
im +1 to blocker on this.
Comment 14 Tim Flink 2011-10-25 16:21:54 EDT
Does this prevent LibreOffice from working in some way? Is it on the livecds?

From what I can tell, this is a FESCo issue and not a blocker issue. Unless LibreOffice is on the live images and broken by the presence of Java7, I'm -1 blocker, -1 NTH.
Comment 15 Fedora Update System 2011-10-25 17:44:29 EDT
Package libreoffice-3.4.3.2-14.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-3.4.3.2-14.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-14930
then log in and leave karma (feedback).
Comment 16 David Tardon 2011-10-26 03:02:33 EDT
(In reply to comment #11)
> (In reply to comment #3)
> > That is because libreoffice-core requires libjawt.so()(64bit) and
> > libjawt.so(SUNWprivate_1.1)(64bit), which are provided by both
> > java-1.6.0-openjdk and java-1.7.0-openjdk. I have put explicit Requires:
> > java-1.6.0-openjdk there.
> 
> Actually looking at this again by removing and trying to reinstall writer
> libreoffice-ure also has a dep of jre >= 1.5.0.

That is fine because java-1.7.0-openjdk does not provide jre (that was on demand from FESCo, IIRC).

> 
> Now I get both java-1.6.0-openjdk and java-1.7.0-openjdk. No idea why the
> former isn't picked up as a provider of java so 7 doesn't get pulled in too

Yeah, it seems the fix has not helped at all :(
Comment 17 David Tardon 2011-10-26 05:54:43 EDT
It turns out yum is not smart enough to do the obvious thing after all. I reported https://bugzilla.redhat.com/show_bug.cgi?id=749130 . I'm going to revert this fix, as it obviously does not solve anything, and close the bug as CANTFIX, unless someone can suggest a (workable) solution.
Comment 18 Robyn Bergeron 2011-10-26 16:33:00 EDT
I'm with tim - Unless LO is broken by the presence of Java 7, i'm -1 blocker, -1 NTH.

Can anyone confirm if LO is working correctly w/Java 7?
Comment 19 Adam Williamson 2011-10-26 16:41:25 EDT
i'm testing an ootb install of tc2 to see if LO actually works, and what java's installed, and stuff.
Comment 20 Adam Williamson 2011-10-26 16:50:24 EDT
on an OOTB install of F16 Final TC2 I have:

java-1.6.0-openjdk-1.6.0.0-59.1.10.3.fc16.x86_64
tzdata-java-2011l-2.fc16.noarch

LO Writer appears to launch and work fine. So I think we don't have a problem here for DVD installs, LO isn't on the major live images, and any problems with network installs or post-release 'yum install' can be solved as updates and don't need to be release-blocking. -1 blocker, -1 nth vote confirmed.
Comment 21 Adam Williamson 2011-10-26 16:51:10 EDT
the libreoffice version installed is 3.4.3.2-11.fc16, FWIW.
Comment 22 Adam Williamson 2011-10-26 16:54:25 EDT
both 1.6.0 and 1.7.0 builds of java are included in the DVD, but in a default pacakge set, only 1.6.0 is installed.
Comment 23 Adam Williamson 2011-10-26 18:15:20 EDT
dgilmore says he's now -1 blocker based on my tests of tc2, so setting this to rejectedblocker.
Comment 24 Fedora Update System 2011-10-27 08:22:41 EDT
libreoffice-3.4.3.2-15.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libreoffice-3.4.3.2-15.fc16
Comment 25 David Tardon 2011-10-27 14:24:21 EDT
Sorry, but this is a bug in yum. We cannot do anything about it.
Comment 26 Fedora Update System 2011-11-04 21:20:25 EDT
libreoffice-3.4.3.2-15.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 27 David Tardon 2011-11-05 03:12:29 EDT
Please ignore comment 26. The update does not fix this bug.
Comment 28 Fedora Update System 2011-11-11 13:20:56 EST
libreoffice-3.4.4.2-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libreoffice-3.4.4.2-1.fc16
Comment 29 Fedora Update System 2011-11-11 15:29:06 EST
libreoffice-3.4.4.2-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libreoffice-3.4.4.2-2.fc16
Comment 30 Fedora Update System 2011-11-15 19:30:42 EST
libreoffice-3.4.4.2-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 31 Fedora Update System 2011-11-23 10:40:22 EST
libreoffice-3.4.4.2-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libreoffice-3.4.4.2-3.fc16

Note You need to log in before you can comment on or make changes to this bug.